#! /bin/sh
#
# This file was automatically customized by debmake on Fri, 30 Oct 1998 22:52:10 +1100
#
# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
# Modified for Debian by Christoph Lameter <clameter@debian.org>

PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/sbin/cfsd
CRYPT=
CFSFS=
# The following value is extracted by debstd to figure out how to generate
# the postinst script. Edit the field to change the way the script is
# registered through update-rc.d (see the manpage for update-rc.d!)
FLAGS="defaults 50"

test -f $DAEMON || exit 0
test "$CRYPT" != "" || exit 0
test "$CFSFS" != "" || exit 0

case "$1" in
  start)
    start-stop-daemon --start --verbose --exec $DAEMON
    mount -o port=3049,intr localhost:$CFSFS $CRYPT
    ;;
  stop)
    start-stop-daemon --stop --verbose --exec $DAEMON
    umount $CRYPT 2> /dev/null > /dev/null
    ;;
  restart|force-reload)
    start-stop-daemon --stop --verbose --exec $DAEMON
    umount $CRYPT 2>/dev/null > /dev/null
    start-stop-daemon --start --verbose --exec $DAEMON
    mount -o port=3049,intr localhost:$CFSFS $CRYPT
    ;;
  *)
    echo "Usage: /etc/init.d/cfs {start|stop|restart}"
    exit 1
    ;;
esac

exit 0
